From: Adrian Bunk <bunk@kernel.org>

dm_create_error_table() was added in kernel 2.6.18 and never used...

Signed-off-by: Adrian Bunk <bunk@kernel.org>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-table.c         |   38 --------------------------------------
 include/linux/device-mapper.h |    6 ------
 2 files changed, 44 deletions(-)

Index: linux-2.6.25/drivers/md/dm-table.c
===================================================================
--- linux-2.6.25.orig/drivers/md/dm-table.c	2008-04-24 18:00:59.000000000 +0100
+++ linux-2.6.25/drivers/md/dm-table.c	2008-04-24 18:01:01.000000000 +0100
@@ -245,44 +245,6 @@ int dm_table_create(struct dm_table **re
 	return 0;
 }
 
-int dm_create_error_table(struct dm_table **result, struct mapped_device *md)
-{
-	struct dm_table *t;
-	sector_t dev_size = 1;
-	int r;
-
-	/*
-	 * Find current size of device.
-	 * Default to 1 sector if inactive.
-	 */
-	t = dm_get_table(md);
-	if (t) {
-		dev_size = dm_table_get_size(t);
-		dm_table_put(t);
-	}
-
-	r = dm_table_create(&t, FMODE_READ, 1, md);
-	if (r)
-		return r;
-
-	r = dm_table_add_target(t, "error", 0, dev_size, NULL);
-	if (r)
-		goto out;
-
-	r = dm_table_complete(t);
-	if (r)
-		goto out;
-
-	*result = t;
-
-out:
-	if (r)
-		dm_table_put(t);
-
-	return r;
-}
-EXPORT_SYMBOL_GPL(dm_create_error_table);
-
 static void free_devices(struct list_head *devices)
 {
 	struct list_head *tmp, *next;
Index: linux-2.6.25/include/linux/device-mapper.h
===================================================================
--- linux-2.6.25.orig/include/linux/device-mapper.h	2008-04-24 18:00:42.000000000 +0100
+++ linux-2.6.25/include/linux/device-mapper.h	2008-04-24 18:01:01.000000000 +0100
@@ -252,12 +252,6 @@ void dm_table_event(struct dm_table *t);
  */
 int dm_swap_table(struct mapped_device *md, struct dm_table *t);
 
-/*
- * Prepare a table for a device that will error all I/O.
- * To make it active, call dm_suspend(), dm_swap_table() then dm_resume().
- */
-int dm_create_error_table(struct dm_table **result, struct mapped_device *md);
-
 /*-----------------------------------------------------------------
  * Macros.
  *---------------------------------------------------------------*/
